package com.neusoft.smart.pos.printer.persistent.mapper;

import com.neusoft.smart.pos.printer.persistent.domain.PrinterTemplateRef;
import com.neusoft.smart.pos.printer.persistent.domain.PrinterTemplateRefExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PrinterTemplateRefMapper {
    int countByExample(PrinterTemplateRefExample example);

    int deleteByExample(PrinterTemplateRefExample example);

    int deleteByPrimaryKey(Long id);

    int insert(PrinterTemplateRef record);

    int insertSelective(PrinterTemplateRef record);

    List<PrinterTemplateRef> selectByExample(PrinterTemplateRefExample example);

    PrinterTemplateRef selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") PrinterTemplateRef record, @Param("example") PrinterTemplateRefExample example);

    int updateByExample(@Param("record") PrinterTemplateRef record, @Param("example") PrinterTemplateRefExample example);

    int updateByPrimaryKeySelective(PrinterTemplateRef record);

    int updateByPrimaryKey(PrinterTemplateRef record);

    void batchInsert(@Param("items") List<PrinterTemplateRef> items);
}